;;;===============================
;;; LIBRARY HARMONIC-ANALYSIS
;;; Connect analysis framework in Java to OM musical objects
;;; 2011 C. Perez Sancho, J. Bresson etc.
;;;===============================

(in-package :cl-user)

(print ";;;===============================
;;; LIBRARY HARMONIC-ANALYSIS
;;; Connect DLSI analysis framework to OM objects
;;; 2011 C. Perez Sancho, J. Bresson etc.
;;;===============================")

;#-:om-deliver(compile-file-if-needed (current-pathname "jfli/jni"))
;;(load (current-pathname "jfli/jni.xfasl"))
;#-:om-deliver(compile-file-if-needed (current-pathname "jfli/jfli"))
;;(load (current-pathname "jfli/jfli.xfasl"))

;(load (current-pathname "jfli/defsys"))
;(load-system 'jfli)

(defpackage "HARMONIC-ANALYSIS"
  (:use "COMMON-LISP" "CL-USER" "OM-API" "LISPWORKS" "HCL" "OM-LISP" "OM"); "JFLI")
  (:import-from "CL-USER")
  (:nicknames "HA"))

(in-package :ha)
;(use-package :jfli)

(defparameter *ha-java-directory*
  (om::om-relative-path '("Java") nil))
; Set to true for deployment
(defparameter *ha-autostart-server* t)

(in-package :om)

;(print "Connecting Java...")
;(compile&load (om-relative-path '("sources") "java-connection"))
;(print "--> Done")
(compile&load (om-relative-path '("sources") "auxiliary-functions"))
(compile&load (om-relative-path '("sources") "osc-connector"))
(compile&load (om-relative-path '("sources") "harmonic-analysis"))
      
(om::fill-library '((nil nil (ha::harmonic-analysis ha::analysis-vocabulary) nil nil)))



