;;;=========================
;;; JVM CONNECTION
;;; Declaration of the HA objects and packages
;;;=========================

(in-package :ha)

(defvar *JVM* nil)

;;; The JVM can be connected only once !!
(unless *JVM*
  (setf *JVM* (connect-jvm (list (namestring (om::om-make-pathname :directory *ha-java-directory* :name "analysis.jar"))))))
  
(def-java-class "java.lang.Object")

(use-package "java.lang")
;(use-package "java.util")

;(def-java-class "analysis.Test")
;(use-package "analysis")
;(setf xxx (new  test.))
;(test.test xxx)


(def-java-class "es.ua.dlsi.im2.tonalanalysis.filters.OMAnalysisFactory")
(def-java-class "es.ua.dlsi.im2.tonalanalysis.filters.OMAnalysis")
(def-java-class "es.ua.dlsi.im2.tonalanalysis.filters.OMHarmonicAnalysis")
(def-java-class "es.ua.dlsi.im2.tonalanalysis.filters.OMSegmentation")
(def-java-class "es.ua.dlsi.im2.tonalanalysis.filters.OMSegment")
(use-package "es.ua.dlsi.im2.tonalanalysis.filters")


